#!/bin/bash

DATA_NAME="mmivqd_option"
TEMP=0.0
CURRENT_TIME=$(date +"%Y%m%d%H%M%S")
FILE_NAME="llava-v1.5-13b_${CURRENT_TIME}"

export PYTHONPATH="$PYTHONPATH:$PWD/vlms"

python -m vlms.llava.eval.llava_vqa_updbench \
    --model-path liuhaotian/llava-v1.5-13b \
    --data-name ${DATA_NAME}\
    --answers-file ./output/ivqd/answers/llava1.5/option/${DATA_NAME}/${FILE_NAME}.jsonl \
    --single-pred-prompt \
    --temperature ${TEMP} \
    --prompt_id 1 \
    --conv-mode vicuna_v1

mkdir -p output/ivqd/answers_upload/llava1.5/option/${DATA_NAME}

python -m scripts.convert_mmbench_for_submission \
    --data-name ${DATA_NAME}\
    --result-dir ./output/ivqd/answers/llava1.5/option/${DATA_NAME} \
    --upload-dir ./output/ivqd/answers_upload/llava1.5/option/${DATA_NAME} \
    --experiment ${FILE_NAME}